{***********************************************************************
*  TKabout  version 2.0                                                *
*                                                                      *
*    Copyright  1997, 1998  Karlos, Inc. All Rights Reserved.         *
*    Developed By: Karlos Jorge Pinto                                  *
*    E-MAIL: Karlospinto@hotmail.com                                   *
*    Visit: o---> Delphi@pt <---o in:                                  *
*    http://www.terravista.pt/bilene/1412 ---> In English/Portuguese   *
*                                                                      *
************************************************************************
*  IRC: #portugal - Undernet. Nick: kArLoS.                            *
*  This is component is FREEWARE. *But* is Unregistered. If you like   *
*  To have a registered copy of this component please read the         * 
*  Register.wri, for more details.                    Build n: 0.2/98 *
***********************************************************************}

unit Kabout2;

interface

uses SysUtils, WinTypes, WinProcs, Classes, Graphics, Forms,
     Dialogs, Controls, StdCtrls, Buttons, ExtCtrls, DsgnIntf;


type
  TKWindow = class(TForm)
    BotaoOK: TBitBtn;
    Versao: TLabel;
    Autor: TLabel;
    Comentarios: TLabel;
    IconePrograma: TImage;
    NomeProduto: TLabel;
    Image1: TImage;
    PainelData: TLabel;
    Email: TLabel;
    PainelTime: TLabel;
  end;

type
  TKabout2 = class(TComponent)
  private
    FAbout: string;
    FNomeProduto, FVersao, FAutor, FComentarios, FEmail: string;
  public
    procedure ShowAbout;Virtual;
    function Execute: Boolean;
  published
    property About: string read FAbout write FAbout stored False;
    property Product: string read FNomeProduto write FNomeProduto;
    property Version: string read FVersao Write FVersao;
    property Autor: string read FAutor write FAutor;
    property Coment: string read FComentarios write FComentarios;
    property EMail: string read FEmail write FEmail;
  end;

procedure Register;

var
  KWindow: TKWindow;

implementation

{$R *.DFM}


type
  TAboutProperty = class(TPropertyEditor)
  public
    procedure Edit; override;
    function GetAttributes: TPropertyAttributes; override;
    function GetValue:string; override;
  end;

{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}


procedure TAboutProperty.Edit;
{call the 'About' dialog window when clicking on in the Object Inspector}
begin
  TKabout2 (GetComponent(0)).ShowAbout;
end;
function TAboutProperty.GetAttributes: TPropertyAttributes;
{set up to display a string in the Object Inspector}
begin
  GetAttributes := [paDialog, paReadOnly];
end;
function TAboutProperty.GetValue: String;
{set string to appear in the Object Inspector}
begin
  GetValue := '(About Kabout v.2.0)';
end;
procedure TKabout2.ShowAbout;
var
	msg: string;
const
  cr = chr(13);
begin
  msg := '  --> The Kabout a cool about box. Version: 2.0 <--' + cr;
  msg := msg + 'TKabout:' + ' a 16/32-Bit Component for Delphi' + cr;
  {$IFDEF WIN32}
  msg := msg + '(This is the 32 bit version)' + cr + cr;
  {$ELSE}
  msg := msg + '(This is the 16 bit version)' + cr + cr;
  {$ENDIF}
  msg := msg + 'Copyright  1997/98 Karlos Inc.' + cr;
  msg := msg + 'Made By: Karlos Pinto' + cr;
  msg := msg + '..............-------------****************----------............' + cr;
  msg := msg + '   Delphi@pt site: http://www.terravista.pt/bilene/1412' + cr;
  msg := msg + '             E-Mail: Karlospinto@hotmail.com' + cr;
  msg := msg + '**************-------------................----------************' + cr;
  msg := msg + '                This Component is FREEWARE' + cr;
  msg := msg + 'But is Unregistered, for more details read the Register.wri file.' + cr;
  msg := msg + '          ...---**** KARLOS PINTO Inc.****---...' + cr;
  msg := msg + '    IRC: #portugal - Undernet, Nick: kArLoS :)' + cr;


    MessageDlg(msg,mtInformation,[MBOK],0);
end;

{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}
{/////////////////////////////////////////////////////////////////////////////}

  procedure Register;
  begin
    RegisterComponents( 'Karlos Inc.', [ TKabout2 ] );
    {register the 'About' property editor}
     RegisterPropertyEditor(TypeInfo(String), TKabout2, 'About',
     TAboutProperty);

  end;
{########################################################################}
{########################################################################}
{########################################################################}
{########################################################################}
{########################################################################}



function TKabout2.Execute: Boolean;
begin
  KWindow := TKWindow.Create(Application);
  try
    if Product = '' then Product := Application.Title;
    KWindow.NomeProduto.Caption := Product;
    KWindow.Versao.Caption := Version;
    KWindow.Autor.Caption := Autor;
    KWindow.Comentarios.Caption := Coment;
    Kwindow.Email.Caption := Email;
    KWindow.Caption := 'About ' + Product;
    KWindow.PainelData.Caption := DateToStr(Date);
    Kwindow.PainelTime.Caption := TimeToStr(Time);
    KWindow.IconePrograma.Picture.Graphic := Application.Icon;
    if KWindow.ShowModal = idOK then Result := True;
  finally
    KWindow.Free;
  end;
end;



end.

